Subject: Re: bug#29934: in virtual machines the graphical dektop environment randomly fails to show up

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 2 Jan 2018 18:15:15 +0100

On Tue, 2 Jan 2018 15:31:49 +0100
Catonano <[email-masked]> wrote:

> You said that I could have logged in from the host terminal, right ?
> 
> How do I do that ?
> 
> The host terminal is running qemu, there are the messages that I'm pasting
> here, no prompt

Then no getty is running.

Please add 

    (mingetty-service-type config =>
                           (mingetty-configuration
                            (inherit config)
                            (tty "/dev/ttyS0")))))

to (services ...) in vm-config-desktop.scm .

Maybe agetty instead of mingetty, I forgot...

That should start a login thingie on the serial.